v4.3.1 - (07/02/2019)
- improved: stripe and woocomerce payments
- improved: ad preview in the order form
- improved: ad template files
- improved: rtl and style.css file
- improved: resize of standard images
- added: link shortcode param to open links in the same window, example: [bsa_pro_ad_space id=1 link=same]

- - - - - - -

v4.2.74 - (30/08/2018)
- improved: hooks (shown for singular pages only)
- improved: pdf statistics
- improved: ajax filters in ad space settings
- improved: text format of ad fields
- added: crawler detection
- added: action button field for the further templates

- - - - - - -

v4.2.71 - (23/06/2018)
- improved: categories and tags listing

- - - - - - -

v4.2.7 - (07/06/2018)
- improved: adblockers detection and function
- improved: ad preview section
- improved: affiliate commission field
- improved: all css files updated
- improved: cron tasks array validation

- - - - - - -

v4.2.12 - (10/04/2018)
- improved: minor admin panel improvements
- added: option to change carousel script for slider

- - - - - - -

v4.2.1 - (08/03/2018)
- improved: vc element improvements
- improved: update checker
- improved: image generator (cache and static images)
- improved: ajax shortcode fixes
- improved: minor admin panel improvements
- added: option to change name of the upload folder
- added: option to show specific ads in the space
- added: option to use full url and external images instead of upload module
- - - -
Note!
After upload all new files please re-activate plugin via WordPress Plugins Module.
(Plugins > Installed Plugins > Deactivate / Activate)

- - - - - - -

v4.1 - (07/02/2018)
- improved: frontend editor admin permissions
- improved: all css generator
- improved: MA API changes
- improved: minor backend improvements for MA add-on
- added: all.css files

- - - - - - -

v4.01 - (25/11/2017)
- improved: minor backend improvements for the 4.00 version

- - - - - - -

v4.00 - (17/11/2017)
- improved: woocommerce status of paid orders fixed
- improved: stripe library updated
- improved: option to use [stats_url] variable in the reminders
- improved: support shortcodes in html template
- improved: chips option for geo field
- improved: corner peel position fixed
- improved: hidden class fixed
- improved: number of requests optimization
- improved: minor frontend / backend improvements
- added: option to show notice at the order form page if not logged
- added: ad space filter on specific custom types
- added: ad space filter on specific taxonomies
- added: option to assign affiliate link at the bottom of ad spaces
- added: backend / frontend editor option
- added: update notifications at the dashboard tab

- - - - - - -

v3.43 - (27/07/2017)
- improved: minor frontend / backend improvements

- - - - - - -

v3.42 - (20/06/2017)
- improved: categories filter fixes
- improved: ad space status fixes (ma add-on)
- improved: html tags supported in the e-mails
- improved: minor admin panel improvements

- - - - - - -

v3.41 - (12/04/2017)
- improved: minor woocommerce, stripe and admin panel fixes

- - - - - - -

v3.4 - (16/03/2017)
- improved: standard ad creator
- improved: randomly option for add-on
- improved: woocommerce payment module
- added: pdf reports (90, 30, 7 days)
- added: email notifications about expires and expired ads
- added: list of custom templates
- added: free ads can be used in the order form

- - - - - - -

v3.3.24 - (14/01/2017) - WordPress 4.7+ supported
- improved: list of advertising in the user panel
- improved: api page template
- added: option to use url in the html ad template

- - - - - - -

v3.3.22 - (16/12/2016)
- improved: slide carousel option
- added: option to show fade carousel

- - - - - - -

v3.3.2 - (03/11/2016)
- improved: downcount option for cpc and cpm billing models
- added: new "ad name" field (listing ads)
- added: option to disable crop tool
- added: option to show optional field in the order form
- added: option to show the order form only for logged in users

- - - - - - -

v3.3.1 - (01/10/2016)
- added: option to show ads vertically
- improved: resize standard ads

- - - - - - -

v3.3.0 - (24/09/2016)
- added: woocommerce integration - payment module
- added: option to disable payments methods
- added: switchButton css file
- added: switchButton js files
- improved: fixes for list of categories and tags
- improved: minor fixes in the users panel
- improved: minor fixes in the admin panel

- - - - - - -

v3.2.34 - (06/08/2016)
- improved: ajax load for unselcted pages

- - - - - - -

v3.2.3 - (29/07/2016)
- improved: email sender for admin approval action
- improved: countdown option

- - - - - - -

v3.2.2 - (02/07/2016)
- improved: list of posts
- improved: css for grid of marketing agency

- - - - - - -

v3.2.1 - (24/06/2016)
- added: option to show different sample image for each ad space

- - - - - - -

v3.2.0 - (10/06/2016)
- improved: option to disable close button
- improved: hide for posts / pages option
- added: hooks for buddypress - stream (after x activities)
- added: hooks for bbpress - forum (after x topics & after x replies)
- added: option to add users as admin via custom capabilities
- added: option to use rel="nofollow" attribute for all links
- added: option to display ad spaces via ajax
- added: option to use select as selection method of ad spaces

- - - - - - -

v3.1.0 - (27/05/2016)
- improved: widget option in the sidebar
- improved: current time for calendar option in the order form
- improved: url to the order form
- improved: optimization of the stripe js files
- improved: UI for the geo module
- improved: UI for categories and tags
- added: option to hide ad spaces for a specific posts / pages id directly via admin panel
- added: option to display ad spaces via ajax
- added: support to use php code inside ads
- removed: hide_for_id shortcode parameter
- - - -
Note!
After upload all new files please re-activate plugin via WordPress Plugins Module.
(Plugins > Installed Plugins > Deactivate / Activate)

- - - - - - -

v3.0.1 - (02/05/2016)
- improved: buddypress & bbPress support
- improved: shortcode field in the widget

- - - - - - -

v3.0.0 - (17/04/2016)
- improved: hooks option - content injections
- improved: maximum ads in ad space notice
- improved: price shown at the payment page
- improved: optimization enable / disable option
- improved: pop-up closing option
- improved: calendar option for schedule ads
- added: frontend user panel for users to manage their ads
- added: renewal option for expired ads

- - - - - - -

v2.9.25 - (20/02/2016)
- improved: minor fixed in the admin panel
- improved: small fixes in the frontend

- - - - - - -

v2.9.24 - (23/01/2016)
- improved: Stripe currency
- improved: background color - parameter for background display type
- improved: fixes for 4.4.1 WordPress
- improved: main menu priorities
- improved: pre-example ad option
- improved: main dashboard statistics

- - - - - - -

v2.9.22 - (03/01/2016)
- improved: frontent order form - paremeters fixes
- improved: agency order form - paremeters fixes

- - - - - - -

v2.9.21 - (15/12/2015)
- improved: user roles - privileges
- improved: top bar styles
- improved: statistic module

- - - - - - -

v2.9.2 - (28/11/2015)
- improved: ad templates
- improved: decrease display limit
- added: option to show other ad space if main ad space is empty
- added: option to show example ad if ad space is empty

- - - - - - -

v2.9.1 - (16/11/2015)
- improved: carousel - width value after orientation change
- improved: order form
- improved: agency order form
- improved: billing models in admin panel
- added: option to hide ad space in the order form
- added: option to disable billing models

- - - - - - -

v2.9.0 - (05/11/2015)
- improved: calendar option
- improved: paypal notifications module
- added: changes for affiliate program add-on

- - - - - - -

v2.8.0 - (28/10/2015)
- improved: better currency format in admin panel
- improved: option to use 100% discount for contracts
- added: CAPPING option - option to show ads only X times per user / session
- added: option to show Ad Space after X seconds
- added: option to show Close Button after X seconds
- added: option to close Ad Spaces after X seconds
- added: option to translate calendar
- added: option to change default first day in the calendar
- added: option to add unavailable dates of Ad Space in the Calendar
- added: new hooks - option to add ads after X paragraphs (1-7 paragraphs)

- - - - - - -

v2.7.42 - (03/10/2015)
- added: option to show notice if adblocker detected
- improved: bsa_pro_ad_space function

- - - - - - -

v2.7.4 - (02/10/2015)
- added: option to show ads for non-wordpress sites via marketing agency add-on
- improved: ads pro api
- improved: widget permissions

- - - - - - -

v2.7.0 - (25/09/2015)
- added: detection of mobile, tablet, desktop - option to show ads on specific devices
- added: drag & drop option to easy setup of the order of ads
- added: advanced options in geo-module (target ads to states/provinces, cities and zipcodes)
- added: icons in admin panel
- improved: few minor css improvements
- improved: few minor js improvements
- - - -
Note!
After upload all new files please re-activate (Plugins > Installed Plugins > Deactivate / Activate) plugin via WordPress Plugins Module.

- - - - - - -

v 2.7.0 - (25/09/2015)
- added: detection of mobile, tablet, desktop - option to show ads on specific devices
- added: drag & drop option to easy setup of the order of ads
- added: advanced options in geo-module (target ads to states/provinces, cities and zipcodes)
- added: icons in admin panel
- improved: few minor css improvements
- improved: few minor js improvements
- - - -
Note!
After upload all new files please re-activate (Plugins > Installed Plugins > Deactivate / Activate) plugin via WordPress Plugins Module.

- - - - - - -

v 2.1.7 - (19/09/2015)
- added: pagination for users manager and ads schedule
- improved: geo-module for the network sites
- improved: few minor js improvements

- - - - - - -

v 2.1.1 - (10/09/2015)
- improved: hooks: shortcode separator changed to semicolon ;
- improved: floating ads
- improved: add-on api
- improved: stripe js

- - - - - - -

v 2.1.0 - (29/08/2015)
- added: option to displaying ads for only specific Categories / Tags
- added: option to show / hide ad spaces in specific Countires (directly via Admin Panel)
- added: merging function to show all css files into one
- added: option to redirection html ads to specific url
- improved: hooks to show multiple ad spaces in all posts / pages (in one click via Admin Panel)
- improved: ad space settings (ui changed)
- improved: settings / translations tabs
- removed: show_in_country & hide_in_country - shortcode params (now you can use Geo Module directly via Admin Panel)
- - - -
Note!
After upload all new files please re-activate (Plugins > Installed Plugins > Deactivate / Activate) plugin via WordPress Plugins Module.

- - - - - - -

v 2.0.0 - (23/07/2015)
- added: Stripe Payments
- added: A/B Tests Module
- improvement: new structure of Settings and Translations

- - - - - - -

v 1.3.7 - (12/07/2015)
- added: email notification if ads accepted
- added: RTL support
- added: RTL styles

- - - - - - -

v 1.3.4 - (01/07/2015)
- added: changes for add-ons
- improvement: statistics module
- improvement: counting module
- improvement: admin panel speed optimization
- - - -
Note!
Please re-install plugin via WordPress Plugins Module  (not via FTP).
After installation access to Spaces and Ads list can be takes a longer (only once).
We recommended to click at all Ad Spaces (ADS PRO > Spaces and Ads), one by one.

- - - - - - -

v 1.3.0 - (20/06/2015)
- added: 2 new ad template (facebook 1 / 2)
- added: 2 new display ways (top / bottom scroll bar)
- added: option to schedule ads - calendar in order form
- added: option to show / hide calendar
- added: 8-12 grid system
- added: calendar translations
- added: icon "time" if an ad pending in cron tasks list
- improvement: auto select space id if redirected from ad space
- improvement: open in new tab (modern 1 template)
- improvement: ad space hidden if empty
- improvement: other minor improvements in admin panel

- - - - - - -

v 1.2.7 - (15/06/2015)
- added: option to show / hide ad spaces in different countries
- improvement: js for carousel display type
- improvement: minor changes in admin panel

- - - - - - -

v 1.2.4 - (30/05/2015)
- improvement: statistics module
- improvement: ajax full stats - simpler way to show full statistics
- improvement: minor changes in admin panel

- - - - - - -

v 1.2.0 - (18/05/2015)
- added: option to hide ads for specific pages
- added: option to show ads in all before / after posts
- added: option to show random different ad spaces in the same place
- added: ads schedule:
    - option to show / hide ads at a specified time and date
    - option to show / hide ad spaces at a specified time and date

- - - - - - -

v 1.1.77 - (15/05/2015)
- improvement: standard ads & custom ad creator
- added: custom js option
- added: option to show / hide ad spaces
- - - -
Note!
Please re-create all custom ad sizes.

- - - - - - -

v 1.1.71 - (11/05/2015)
- improvement: admin bar
- improvement: admin links

- - - - - - -

v 1.1.7 - (01/05/2015)
- added: option to hide all ads for logged users
- added: users manager
- added: option to set free ads for the users
- added: option to set privileges for the users / buyers to edit ads
- added: link / notice about free ads in admin bar
- added: option to show / hide link from admin bar

- - - - - - -

v 1.1.47 - (23/04/2015)
- improvement: agency api
- improvement: multi-sites option
- added: option to disable crop tool for space - allow for a gif animation
- added: auto-create of custom templates

- - - - - - -

v 1.0.44 - (12/04/2015)
- improvement: agency api
- added: option to disable HTML ad preview
- added: option for private use of marketing agency

- - - - - - -

v 1.1.42 - (08/04/2015)
- improvement: visual composer - ADS PRO available in content elements
- improvement: html ad, js code, Adsense code
- improvement: crop function

- - - - - - -

v 1.1.4 - (05/04/2015)
- added: 4 new display ways
	- layer
	- background
	- exit popup
	- link
- added: payment method, bank transfer
- added: auto-crop images
- added: standard ad 1920x1200 (for layer and background ads)

- - - - - - -

v 1.1.3 - (26/03/2015)
- improvement: redirections

- - - - - - -

v 1.1.24 - (20/03/2015)
- improvement: 300x200 standard ad template
- improvement: ad creator
- improvement: remove space action

- - - - - - -

v 1.1.2 - (17/03/2015)
- improvement: admin privileges

- - - - - - -

v 1.1.1 - (13/03/2015)
- added: 3 new paper ad templates
- added: corner display type
- improvement: agency ordering form

- - - - - - -

v 1.0.9 - (12/03/2015)

Note! If you want to keep current thumbnails, you must make a steps:
1. Copy all images from: /wp-content/plugins/bsa-pro-scripteo/thumbs
2. Create new folder "bsa-pro-upload" in this location: /wp-content/uploads/bsa-pro-upload
3. Paste all files to new "bsa-pro-upload" folder.

- improvement: thumbnails
- added: creator for standard ad templates

- - - - - - -

v 1.0.8 - (11/03/2015)
- improvement: ordering form
- improvement: dashboard in admin panel

- - - - - - -

v 1.0.7 - (06/03/2015)
- improvement: ad templates and css styles
- added: api for marketing agency add-on
- added: another changes for marketing agency add-on

- - - - - - -

v 1.0.6 - (25/02/2015)
- improvement: ordering form
- improvement: z-index for floating ads
- improvement: delay option
- improvement: css style for the standard blocks
- added: re-installation option

- - - - - - -

v 1.0.5
- new templates
- new display options
- redirecitons fixed

- - - - - - -

v 1.0.4
- small improvements for thumbs

- - - - - - -

v 1.0.3
- support for widgets
- small improvements for redirections

- - - - - - -

v 1.0.1
- small improvements

- - - - - - -

v 1.0.0
- first realease version